List all the Integrations
curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/integrations/apps \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/integrations/apps"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/integrations/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"hook_type": "<string>",
"enabled": true,
"allow_multiple_hooks": true,
"hooks": [
{}
]
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Integrations
List all the Integrations
Get the details of all Integrations available for the account
GET
https://chat.domix.ai/
/
api
/
v1
/
accounts
/
{account_id}
/
integrations
/
apps
List all the Integrations
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
Array of Integration apps
Hide child attributes
Hide child attributes
The ID of the integration
The name of the integration
The description about the team
Whether the integration is an account or inbox integration
Whether the integration is enabled for the account
Whether multiple hooks can be created for the integration
If there are any hooks created for this integration
⌘I